## url-normalize 1.4.3

=== Makefile ===
tox:
	@tox

test:
	@py.test

build:
	@poetry build

publish: build
	@poetry publish

=== debian/changelog ===
url-normalize (1.4.3-4) unstable; urgency=medium

  * Ack NMU

 -- Sandro Tosi <morph@debian.org>  Fri, 21 Mar 2025 02:28:02 -0400

url-normalize (1.4.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing python3-six build dependency (Closes: #1073423)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Jul 2024 21:56:22 +0200

url-normalize (1.4.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Sandro Tosi ]
  * drop DPT

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 02:28:29 -0500

url-normalize (1.4.3-2) unstable; urgency=medium

  * source-only upload

 -- Sandro Tosi <morph@debian.org>  Sat, 15 Jan 2022 00:48:06 -0500

url-normalize (1.4.3-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/2.20211210-morph; Closes: #1001442

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Dec 2021 06:27:48 +0000

=== debian/control ===
Source: url-normalize
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-poetry,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-six,
Standards-Version: 4.6.0.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/niksite/url-normalize
Vcs-Git: https://salsa.debian.org/morph/url-normalize.git
Vcs-Browser: https://salsa.debian.org/morph/url-normalize

Package: python3-url-normalize
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: URL normalization for Python
 URI Normalization function:
 .
  * Take care of IDN domains.
  * Always provide the URI scheme in lowercase characters.
  * Always provide the host, if any, in lowercase characters.
  * Only perform percent-encoding where it is essential.
  * Always use uppercase A-through-F characters when percent-encoding.
  * Prevent dot-segments appearing in non-relative URI paths.
  * For schemes that define a default authority, use an empty authority if the
    default is desired.
  * For schemes that define an empty path to be equivalent to a path of "/", use
    "/".
  * For schemes that define a port, use an empty port if the default is desired
  * All portions of the URI must be utf-8 encoded NFC from Unicode strings

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=url-normalize
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/niksite/url-normalize/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## url-normalize 2.2.1

=== Makefile ===
install:
	@uv pip install -e ".[dev]"

# tox target removed

update: install
	@uv run -- pre-commit autoupdate

lint: install
	@uv run -- pre-commit run -a

test: install
	@uv run -- pytest

build:
	@rm -rf dist
	@uv build

publish: build
	@uv publish

=== debian/changelog ===
url-normalize (2.2.1-1) unstable; urgency=medium

  * New upstream release; Closes: #1101687
  * debian/control
    - replace build backend poetry with setuptools
    - add idna to b-d, needed by tests
  * debian/patches/tests-remove-plugins.patch
    - update patch to new upstream code

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Oct 2025 01:47:34 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-all,
-               python3-poetry,
+               python3-idna <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
+               python3-setuptools,
                python3-six,
 Standards-Version: 4.6.0.1
 Testsuite: autopkgtest-pkg-python
